Create a new db note
Request Information
URI Parameters :
None.
Body Parameters :
db_notes| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_table_id |
Table Id db notes linked to |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_name |
Foreign key to the table this db_notes is linked to (Possibles values are company,jobs,project,task) using table name |
string |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id on the given table on which db note linked to |
globally unique identifier |
Required |
| user_id |
Created User ID |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating a db_notes |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating a db_notes |
user |
Optionally required : user_id, user_code or user must be provided |
| date_add |
Date Added. is on the local user time. |
date | |
| dateutc_add |
Date Added. Auto-filled by NOW if empty |
date | |
| notes |
Notes |
string |
Required |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "90259064-4759-4538-ad9d-a82e4d4dd204",
"db_table_id": "8e73919f-7020-4f4b-a3a1-c9322f916ab4",
"db_table_name": "sample string 3",
"id_in_table": "3d74c739-45aa-4ca6-9ce5-3d85fe495173",
"user_id": "a226ac20-af93-4e87-b3c8-d7b63a0ba51e",
"user_code": "sample string 6",
"date_add": "2026-11-02T19:53:21.6757193+00:00",
"dateutc_add": "2026-11-02T19:53:21.6757193+00:00",
"notes": "sample string 9",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-11-02T19:53:21.6757193+00:00"
}
Response Information
Resource Description :
IHttpActionResult
db_notes| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_table_id |
Table Id db notes linked to |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_name |
Foreign key to the table this db_notes is linked to (Possibles values are company,jobs,project,task) using table name |
string |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id on the given table on which db note linked to |
globally unique identifier |
Required |
| user_id |
Created User ID |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating a db_notes |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating a db_notes |
user |
Optionally required : user_id, user_code or user must be provided |
| date_add |
Date Added. is on the local user time. |
date | |
| dateutc_add |
Date Added. Auto-filled by NOW if empty |
date | |
| notes |
Notes |
string |
Required |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "9956fa9d-4e06-4095-aac3-e2db3b72ed7c",
"db_table_id": "0693ae6c-a43b-4c37-8f9e-f0811bcdb328",
"db_table_name": "sample string 3",
"id_in_table": "ad23a57c-d168-45f9-a953-a21ff3f1f073",
"user_id": "034dea33-9516-416d-8957-380835e12d82",
"user_code": "sample string 6",
"date_add": "2026-11-02T19:53:21.6757193+00:00",
"dateutc_add": "2026-11-02T19:53:21.6757193+00:00",
"notes": "sample string 9",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-11-02T19:53:21.6757193+00:00"
}